Status: Closed Start date: 11 Dec 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.50 hour

Description

When developing and changing a cocoa function it is useful to repeatedly run some tests.

Explain how to do this easily.

Related issues:

Related to CoCoA-5 - Support #251: How to add a test for CoCoA-5 (CoCoAInterp... Closed 02 Oct 2012

History

#1 - 12 Dec 2012 12:24 - Anna Maria Bigatti

- Category set to Manual/documentation

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 50

I describe here an easy way to check a list of tests (from CoCoA-5/tests/anna.cocoa5):

Define TEST_ASSERT(A,B)

  If A<>B Then

    error("TEST: " + Sprint(A) + " <> " + Sprint(B));

  EndIf;

EndDefine;

 

And here are some examples of testing:  (FunctionCall, ExpectedResult)

TEST_ASSERT(sum([1,2,3]), 6);

TEST_ASSERT(sum([],6), 6);

TEST_ASSERT(product([1,2,3]), 6);

TEST_ASSERT(product([],6), 6);

.....
#2 - 12 Dec 2012 12:25 - Anna Maria Bigatti

- Subject changed from testing cocoa functions to Testing (user defined) CoCoA functions

#3 - 21 Mar 2014 11:45 - Anna Maria Bigatti

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#4 - 14 Apr 2014 09:20 - Anna Maria Bigatti

- Status changed from New to In Progress

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 04 Sep 2014 12:22 - John Abbott

- Status changed from In Progress to Closed

#6 - 04 Sep 2014 12:22 - John Abbott

- % Done changed from 50 to 100

#7 - 04 Sep 2014 13:46 - Anna Maria Bigatti

- Subject changed from Testing (user defined) CoCoA functions to How to test (automatically) a user defined CoCoA function
